Subject: Re: bug#24298: 25.1; problem with restoring desktop

From: John Covici <[email-masked]>
Date: Thu, 25 Aug 2016 15:30:23 -0400

On Thu, 25 Aug 2016 15:18:56 -0400,
Eli Zaretskii wrote:
> 
> > Date: Thu, 25 Aug 2016 15:04:11 -0400
> > From: John Covici <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > 
> > > Please look in the .emacs.desktop file itself.  It's a text file, so
> > > is human-readable.
> > 
> > And the order does correspond to what I see in the buffer list.  Aside
> > from the damage of restoring the desktop in a version which broke the
> > restore, it looks like I had it before the problem started.
> 
> Sorry, I'm confused: when you say "I had it", what do you mean by
> "it"?

I mean the order of the buffers before I used a version with the
problem.

> 
> The desktop file records the buffer that was current in each frame, as
> part of the "frameset" at the beginning of the file, and then it
> records the list of buffers unrelated to frames.  Does the frameset
> state the buffers correctly?
What is in the framset is correct, but when the bug is present another
buffer is made current.

-- 
Your life is like a penny.  You're going to lose it.  The question is:
How do
you spend it?

         John Covici
         [email-masked]